Page MenuHomePhabricator

Commons main_page for RTL languages
Closed, DeclinedPublic

Details

Reference
bz43678

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 1:23 AM
bzimport set Reference to bz43678.
bzimport added a subscriber: Unknown Object (MLST).
Yamaha5 created this task.Jan 6 2013, 12:47 PM

You could apply this to *any* main page, such as requesting
http://commons.wikimedia.org/wiki/Hauptseite to link to
http://commons.wikimedia.org/wiki/Hauptseite?uselang=de instead.
I don't see a special case for Farsi/Persian here.

Maybe for non-logged in users it is a good idea, but for logged in users this sounds like a potential WONTFIX as there are plans to set the prefered language via UniversalLanguageSelector once that is deployed on more wikis).

I mean for all RTL languages for example if you set he for your default language if you click on main page still it is LTR but for de it doesn't have any problem
this problem is major for RTL languages that their main page should be RTL
I will change this request for RTL language

in fa.wiki we use https://www.mediawiki.org/wiki/Snippets/Direct_imagelinks_to_Commons and all user redirected to commons and it is not good to have different direction in a site!

Huji added a comment.Jan 19 2013, 5:28 PM

This is not a MediaWiki bug, but a feature request for a Wikimedia website. Hence the change of bug settings.

One possible solution will be to add a JS to MediaWiki:Common.js on Commons project that will automatically redirect users if they are landing on one of the non-english Main Pages. In that case, this is not even a bug that has to be handled on bugzilla, IMHO.

No maybe user's preference is English and he redirected to commons with https://www.mediawiki.org/wiki/Snippets/Direct_imagelinks_to_Commons

we can not check users preference in JS (or I don't know how it is possible )

Huji added a comment.Jan 19 2013, 5:36 PM

User options are already exposed to JS. Look at the source code of pages, and you'll see mw.loader.implement implements user.options where user's choice of language and variant is stored.

Reguyla set Security to None.
Steinsplitter moved this task from Incoming to Backlog on the Commons board.Jun 17 2015, 11:47 AM
Steinsplitter closed this task as Declined.EditedJun 17 2015, 11:53 AM
Steinsplitter claimed this task.
Steinsplitter added a subscriber: Steinsplitter.

The user need to select the language of the interface. This is a wanted behavior on all WM multilingual projects. It is not a good idea to set uslang=* if the user visits the mainpage in a specific language.

For anon MediaWiki:AnonymousI18N.js works.

Meno25 removed a subscriber: Meno25.Oct 3 2016, 5:10 PM